Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.monitors
Class ComponentDependencyMonitor

    java.lang.Object
      org.picocontainer.monitors.AbstractComponentMonitor
          org.picocontainer.gems.monitors.ComponentDependencyMonitor

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentMonitor, org.picocontainer.ComponentMonitorStrategy

    public final class ComponentDependencyMonitor

extends org.picocontainer.monitors.AbstractComponentMonitor

Understands how to capture component dependency information from picocontainer.

Author:
  Peter Barry, Kent R. Spillner
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ComponentDependencyMonitor.Dependency` Understands which other classes are required to instantiate a component.

Constructor Summary
`ComponentDependencyMonitor(ComponentDependencyListener listener)`

Method Summary
`
`<T> void`
` | `instantiated(org.picocontainer.PicoContainer container, org.picocontainer.ComponentAdapter<T> componentAdapter, Constructor<T> constructor, Object instantiated, Object[] injected, long duration)`

Methods inherited from class org.picocontainer.monitors.AbstractComponentMonitor
`changeMonitor, currentMonitor, instantiating, instantiationFailed, invocationFailed, invoked, invoking, lifecycleInvocationFailed, newBehavior, newInjector, noComponentFound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentDependencyMonitor

    public ComponentDependencyMonitor(ComponentDependencyListener listener)

Method Detail

### instantiated

    public <T> void instantiated(org.picocontainer.PicoContainer container,
                                 org.picocontainer.ComponentAdapter<T> componentAdapter,
                                 Constructor<T> constructor,
                                 Object instantiated,
                                 Object[] injected,
                                 long duration)

  Specified by:
    `instantiated` in interface `org.picocontainer.ComponentMonitor`
  Overrides:
    `instantiated` in class `org.picocontainer.monitors.AbstractComponentMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.